StableOps
API reference

Cancel an unsubmitted refund request

Cancel a StableOps refund request before a transaction is submitted, preserving the original payment and returning the amount to the order refund capacity.

POST/v1/refunds/{id}/cancel

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*string

Refund id.

Response Body

application/json

curl -X POST "https://example.com/v1/refunds/string/cancel"
{
  "id": "string",
  "payment_order_id": "string",
  "source_payment_event_id": "string",
  "chain": "ethereum",
  "asset": "USDC",
  "amount": "string",
  "amount_minor": "string",
  "source_address": "string",
  "destination_address": "string",
  "status": "requested",
  "tx_hash": "string",
  "failure_reason": "string",
  "submitted_at": "2019-08-24T14:15:22Z",
  "confirmed_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

How is this guide?

Last updated